Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Kurtakov2020-01-23 08:03:39 -0500
committerAlexander Kurtakov2020-01-23 08:06:43 -0500
commit0f1cdd4d9bb9eaa512282c8dcb4b988362dc61c9 (patch)
tree3b9f2e13f1f976f80ad4218b13207023b99d0519 /cje-production/mbscripts
parentc582c2f720782230263a57c4a394e90ae5c2de26 (diff)
downloadeclipse.platform.releng.aggregator-0f1cdd4d9bb9eaa512282c8dcb4b988362dc61c9.tar.gz
eclipse.platform.releng.aggregator-0f1cdd4d9bb9eaa512282c8dcb4b988362dc61c9.tar.xz
eclipse.platform.releng.aggregator-0f1cdd4d9bb9eaa512282c8dcb4b988362dc61c9.zip
Bug 553757 - Migrate I-builds to new infra
Make scripts fail in case any command returns non-zero. Not done only for updatePom.sh as the return there is explicitly checked. Change-Id: Idc55e12d1560e5cd6dd8f362520e6ec2a7847acf Signed-off-by: Alexander Kurtakov <akurtako@redhat.com>
Diffstat (limited to 'cje-production/mbscripts')
-rwxr-xr-xcje-production/mbscripts/mb010_createEnvfiles.sh1
-rwxr-xr-xcje-production/mbscripts/mb020_createBaseBuilder.sh1
-rwxr-xr-xcje-production/mbscripts/mb030_downloadBuildToCompare.sh1
-rwxr-xr-xcje-production/mbscripts/mb100_cloneRepos.sh1
-rwxr-xr-xcje-production/mbscripts/mb110_tagBuildInputs.sh1
-rwxr-xr-xcje-production/mbscripts/mb200_createSourceBundles.sh1
-rwxr-xr-xcje-production/mbscripts/mb220_buildSdkPatch.sh1
-rwxr-xr-xcje-production/mbscripts/mb300_gatherEclipseParts.sh1
-rwxr-xr-xcje-production/mbscripts/mb310_gatherEquinoxParts.sh1
-rwxr-xr-xcje-production/mbscripts/mb500_createRepoReports.sh1
-rwxr-xr-xcje-production/mbscripts/mb510_createApiToolsReports.sh1
-rwxr-xr-xcje-production/mbscripts/mb600_promoteEclipse.sh1
-rwxr-xr-xcje-production/mbscripts/mb610_promoteEquinox.sh1
-rwxr-xr-xcje-production/mbscripts/mb620_promoteUpdateSite.sh1
14 files changed, 14 insertions, 0 deletions
diff --git a/cje-production/mbscripts/mb010_createEnvfiles.sh b/cje-production/mbscripts/mb010_createEnvfiles.sh
index 6f16eb62e..530d4e531 100755
--- a/cje-production/mbscripts/mb010_createEnvfiles.sh
+++ b/cje-production/mbscripts/mb010_createEnvfiles.sh
@@ -13,6 +13,7 @@
# Contributors:
# Sravan Lakkimsetti - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb020_createBaseBuilder.sh b/cje-production/mbscripts/mb020_createBaseBuilder.sh
index 06618707c..2fb9ea45d 100755
--- a/cje-production/mbscripts/mb020_createBaseBuilder.sh
+++ b/cje-production/mbscripts/mb020_createBaseBuilder.sh
@@ -13,6 +13,7 @@
# Contributors:
# Sravan Lakkimsetti - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb030_downloadBuildToCompare.sh b/cje-production/mbscripts/mb030_downloadBuildToCompare.sh
index 5839e38be..f0cc5b265 100755
--- a/cje-production/mbscripts/mb030_downloadBuildToCompare.sh
+++ b/cje-production/mbscripts/mb030_downloadBuildToCompare.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb100_cloneRepos.sh b/cje-production/mbscripts/mb100_cloneRepos.sh
index ae1d6b367..9e5c23398 100755
--- a/cje-production/mbscripts/mb100_cloneRepos.sh
+++ b/cje-production/mbscripts/mb100_cloneRepos.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb110_tagBuildInputs.sh b/cje-production/mbscripts/mb110_tagBuildInputs.sh
index 2cb602bc7..735a8b0f2 100755
--- a/cje-production/mbscripts/mb110_tagBuildInputs.sh
+++ b/cje-production/mbscripts/mb110_tagBuildInputs.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb200_createSourceBundles.sh b/cje-production/mbscripts/mb200_createSourceBundles.sh
index 7fd8486c9..5146c65d2 100755
--- a/cje-production/mbscripts/mb200_createSourceBundles.sh
+++ b/cje-production/mbscripts/mb200_createSourceBundles.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb220_buildSdkPatch.sh b/cje-production/mbscripts/mb220_buildSdkPatch.sh
index 8cef68919..b28212b66 100755
--- a/cje-production/mbscripts/mb220_buildSdkPatch.sh
+++ b/cje-production/mbscripts/mb220_buildSdkPatch.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb300_gatherEclipseParts.sh b/cje-production/mbscripts/mb300_gatherEclipseParts.sh
index ef377c4a7..8f1aea26c 100755
--- a/cje-production/mbscripts/mb300_gatherEclipseParts.sh
+++ b/cje-production/mbscripts/mb300_gatherEclipseParts.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb310_gatherEquinoxParts.sh b/cje-production/mbscripts/mb310_gatherEquinoxParts.sh
index 1c02c303c..42c89377a 100755
--- a/cje-production/mbscripts/mb310_gatherEquinoxParts.sh
+++ b/cje-production/mbscripts/mb310_gatherEquinoxParts.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb500_createRepoReports.sh b/cje-production/mbscripts/mb500_createRepoReports.sh
index fe651855f..2dccbbb38 100755
--- a/cje-production/mbscripts/mb500_createRepoReports.sh
+++ b/cje-production/mbscripts/mb500_createRepoReports.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb510_createApiToolsReports.sh b/cje-production/mbscripts/mb510_createApiToolsReports.sh
index 5d11d02bb..ab2801bc7 100755
--- a/cje-production/mbscripts/mb510_createApiToolsReports.sh
+++ b/cje-production/mbscripts/mb510_createApiToolsReports.sh
@@ -13,6 +13,7 @@
# Contributors:
# Kit Lo - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb600_promoteEclipse.sh b/cje-production/mbscripts/mb600_promoteEclipse.sh
index 219ea7b63..9db936fa8 100755
--- a/cje-production/mbscripts/mb600_promoteEclipse.sh
+++ b/cje-production/mbscripts/mb600_promoteEclipse.sh
@@ -13,6 +13,7 @@
# Contributors:
# Sravan Lakkimsetti - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb610_promoteEquinox.sh b/cje-production/mbscripts/mb610_promoteEquinox.sh
index 81722b343..d79869048 100755
--- a/cje-production/mbscripts/mb610_promoteEquinox.sh
+++ b/cje-production/mbscripts/mb610_promoteEquinox.sh
@@ -13,6 +13,7 @@
# Contributors:
# Sravan Lakkimsetti - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file
diff --git a/cje-production/mbscripts/mb620_promoteUpdateSite.sh b/cje-production/mbscripts/mb620_promoteUpdateSite.sh
index 387aa5ae0..146a0197c 100755
--- a/cje-production/mbscripts/mb620_promoteUpdateSite.sh
+++ b/cje-production/mbscripts/mb620_promoteUpdateSite.sh
@@ -13,6 +13,7 @@
# Contributors:
# Sravan Lakkimsetti - initial API and implementation
#*******************************************************************************
+set -e
if [ $# -ne 1 ]; then
echo USAGE: $0 env_file

Back to the top